• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Question - IDE macOS IDE - 32/64bit support (next macOS compatibility)

rIKmAN

Member
Does anyone know if the current (or planned?) version of the IDE and required SDK's will be ready to support the new macOS in the fall? No 32bit apps will be supported in the new OS. Is all of GMS updated to 64bit?

https://appleinsider.com/articles/1...-last-version-of-macos-to-support-32-bit-apps

Thanks!
- Jason
According to the GMS2 Required SDK Article all exported Mac games are 64bit as of v2.1.5.
(Check the 'Mac' section under 'For Building/Running Games')
 

JasonGames

Member
The GMS2 IDE is already 64bit: https://www.yoyogames.com/get#sysreq
See the line at the top that says "GMS2 also requires a 64-bit OS to install and run."
Thank you for the information. I did a little more digging and it looks like when I compile my game with the IDE a process runs called "mono-sgen32" and is 32bit. (see screenshot). This process won't be able to run on the next macOS version.
 

Attachments

rIKmAN

Member
Thank you for the information. I did a little more digging and it looks like when I compile my game with the IDE a process runs called "mono-sgen32" and is 32bit. (see screenshot). This process won't be able to run on the next macOS version.
That looks like the version of mono being used is 32bit, do you have the 64bit version installed?

I'm not sure if it's needed or even supported right now (read the Required SDKs Article I posted above for exact versions required) but it seems like it would just be a simple change to using 64bit mono when the time is right and 32bit is no longer supported.

Maybe contact YoYo and get them to confirm.
 

JasonGames

Member
For anyone who stumbles upon this later...I updated to the latest IDE and runtime and the process mentioned above is now 64bit. The latest updates broke my game but I was able to work around those issue and am (finally) on the latest versions. Thanks for help!
 
Hey folks... I come from the future to ask for help. My game maker IDE is not running on my macbook with Mac OS Catalina. The icon starts and doesn't run to show the interface. I've removed all Game Maker files, tryed to download and instal from Steam... Did a clean install and nothing. I've also connect my steam account on Yoyo Games admin and downloaded the newest Mac version directly from their site and did anther clean install... Still nothing. The Game Maker IDE starts and stops running before opening the software. My Macbook meets the minimum requirements to run Game Maker. Does anybody have any idea on how to solve that issue? Best wishes! And thanks in advance.
 
Top